#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 25. Graphical Environment Libraries

- Prev

  Libdrm-2.4.124

- Next

  libnotify-0.8.4

- Up
- Home

# libepoxy-1.5.10

## Introduction to libepoxy

libepoxy is a library for handling OpenGL function pointer management.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libepoxy/1.5/libepoxy-1.5.10.tar.xz

- Download MD5 sum: 10c635557904aed5239a4885a7c4efb7

- Download size: 220 KB

- Estimated disk space required: 13 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

### libepoxy Dependencies

#### Required

Mesa-24.3.4

#### Optional

Doxygen-1.13.2 (for documentation)

## Installation of libepoxy

Install libepoxy by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr --buildtype=release .. &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-D docs=true`: If you have Doxygen-1.13.2 installed, add this option to generate additional documentation.

## Contents

Installed Programs: None
Installed Libraries: libepoxy.so
Installed Directories: /usr/include/epoxy

### Short Descriptions

`libepoxy.so` | contains API functions for handling OpenGL function pointer management

- Prev

  Libdrm-2.4.124

- Next

  libnotify-0.8.4

- Up
- Home